var Dragging = false;
var OffsetX, Offsety, MouseX, MouseY;
var MayScroll = false;
var OldScroll, NowScroll, IsMozilla = false;
var CookieName = "65530845732"


function createCookie(name,value,days)
{
	if (days)
	{
		var date = new Date();
		date.setTime(date.getTime()+(days*24*60*60*1000));
		var expires = "; expires="+date.toGMTString();
	}
	else var expires = "";
	document.cookie = name+"="+value+expires+"; path=/";
}

function readCookie(name)
{
	var nameEQ = name + "=";
	var ca = document.cookie.split(';');
	for(var i=0;i < ca.length;i++)
	{
		var c = ca[i];
		while (c.charAt(0)==' ') c = c.substring(1,c.length);
		if (c.indexOf(nameEQ) == 0) return c.substring(nameEQ.length,c.length);
	}
	return null;
}

function eraseCookie(name)
{
	createCookie(CookieName,"",-1);
}


function GetLayerWidth(layer)
{
 	if (document.all) return document.all[layer].style.pixelWidth;
  	else if (document.layers) return document.layers[layer].clip.width;
 	else if (document.getElementById) return parseInt(document.getElementById(layer).style.width);
}

function SetLayerHeight(layer, NewHeight)
{
  	if (document.all) document.all[layer].style.pixelHeight = NewHeight;
    else if (document.layers) document.layers[layer].clip.height = NewHeight;
    else if (document.getElementById) document.getElementById(layer).style.height = NewHeight;
}

function GetLayerHeight(layer)
{
  	if (document.all) return parseInt(document.getElementById(layer).offsetHeight);
    else if (document.layers) return parseInt(document.layers[layer].clip.height);
    else if (document.getElementById) return parseInt(document.defaultView.getComputedStyle(document.getElementById(layer), "").getPropertyValue("height"));

  	/*if (document.all) return document.all[layer].style.pixelHeight;
    else if (document.layers) return document.layers[layer].clip.height;
    else if (document.getElementById) return parseInt(document.getElementById(layer).style.height);*/
}

function GetLayerXPos(layer)
{
  	if (document.all) return document.all[layer].style.pixelLeft;
  	else if (document.layers) return document.layers[layer].left;
   	else if (document.getElementById) return parseInt(document.getElementById(layer).style.left);
}

function GetLayerYPos(layer)
{
   	if (document.all) return document.all[layer].style.pixelTop;
   	else if (document.layers) return document.layers[layer].top;
   	else if (document.getElementById) return parseInt(document.getElementById(layer).style.top);
}

function SetLayerXPos(layer, x)
{
   if (document.all) document.all[layer].style.pixelLeft = x;
   else if (document.layers) document.layers[layer].left = x;
   else if (document.getElementById) document.getElementById(layer).style.left = x;
}

function SetLayerYPos(layer, y)
{
	if (document.all) document.all[layer].style.pixelTop = y;
  	else if (document.layers) document.layers[layer].top = y;
  	else if (document.getElementById) document.getElementById(layer).style.top = y;
}

function GetLayerMidX(layer)
{
	return GetLayerXPos(layer) + GetLayerWidth(layer)/2;
}

function GetLayerMidY(layer)
{
	return GetLayerYPos(layer) + GetLayerHeight(layer)/2;
}


function MoveLayer(layer, x, y)
{
  if (document.all)
  {
    document.all[layer].style.pixelLeft=x;
    document.all[layer].style.pixelTop=y;
    document.all['Shadow'].style.pixelLeft=x+5;
    document.all['Shadow'].style.pixelTop=y+5;
  }
  else if (document.layers)
  {
    document.layers[layer].left = x;
    document.layers[layer].top = y;
    document.layers['Shadow'].left = x+5;
    document.layers['Shadow'].top = y+5;
  }
  else if (document.getElementById)
  {
    document.getElementById(layer).style.left=x;
    document.getElementById(layer).style.top=y;
    document.getElementById('Shadow').style.left=x+5;
    document.getElementById('Shadow').style.top=y+5;
  }
}

function EventOnMouseUp()
{
	Dragging = false;
}

function EventOnMouseMove(ev)
{
  if (document.all) {
    MouseX = window.event.x + document.body.scrollLeft;
    MouseY = window.event.y + document.body.scrollTop;
  }
  else if (document.layers || document.getElementById) {
    MouseX = ev.pageX;
    MouseY = ev.pageY;
  }
  
  if (Dragging)
  {
	MoveLayer('Test', MouseX-OffsetX, MouseY-OffsetY);
	MoveLayer('Shadow', MouseX-OffsetX, MouseY-OffsetY);
	return false;
  }
  else
  {
  	return true; 
  }
}

function HideLayer(layer)
{
   if (document.layers)
      document.layers[layer].display = "hide";
   else if(document.all)
      document.all(layer).style.display = "none";
   else if(document.getElementById)
      document.getElementById(layer).style.display = "none";
}
function ShowLayer(layer)
{
   if (document.layers)
      document.layers[layer].display = "show";
   else if(document.all)
      document.all(layer).style.display = "inline";
   else if(document.getElementById)
      document.getElementById(layer).style.display = "inline";
}

function ScrollLayer(layer)
{
	if (IsMozilla)
	{
		NowScroll=window.pageYOffset;
		if (NowScroll != OldScroll)
		{
			
				MayScroll = true;
			
		}
		OldScroll = NowScroll;
	}

	var WasMoved=false;	
	if (MayScroll==true)
	{
		if (GetLayerYPos(layer)<(getScrollPosition(window)+80))
		{
			MoveLayer(layer, GetLayerXPos(layer), GetLayerYPos(layer)+10);
			WasMoved=true;
		}
		if (GetLayerYPos(layer)>(getScrollPosition(window)+90))
		{
			MoveLayer(layer, GetLayerXPos(layer), GetLayerYPos(layer)-10);
			WasMoved=true;
		}
	}

	if (WasMoved==false)
	{
		MayScroll = false;
	}
	setTimeout("ScrollLayer('Test')", 10);
}

function DisplayLayer()
{
	MayScroll = true;
	SetLayerYPos("Test", getScrollPosition(window)-GetLayerHeight("Test"));
	SetLayerYPos("Shadow", getScrollPosition(window)-GetLayerHeight("Test"));
	ShowLayer("Test");
	ShowLayer("Shadow");
	setTimeout("ScrollLayer('Test')", 10);
}

function StartMove()
{
	Dragging = true;
	OffsetX = MouseX-GetLayerXPos('Test');
	OffsetY = MouseY-GetLayerYPos('Test');
}

function EventOnScroll()
{
	
		MayScroll = true;
	
}

//Set EventOnMouseMove event
if (document.all || document.getElementById)
{
   document.onmousemove = EventOnMouseMove;
}
else if (document.layers)
{
   window.captureEvents(Event.MOUSEMOVE);
   window.onMouseMove = EventOnMouseMove;
}

//Set EventOnMouseUp event
if (document.all || document.getElementById)
{
   document.onmouseup = EventOnMouseUp;
}
else if (document.layers)
{
   window.captureEvents(Event.MOUSEUP);
   window.onMouseUp = EventOnMouseUp;
}
//Set EventOnScroll event
if (document.all)
{
   document.body.onscroll = EventOnScroll;
   document.onmousewheel = EventOnScroll;
}
else if (document.getElementById)
{
  	//document.onscroll = EventOnScroll;
  	//window.setInterval("CheckMozillaScroll()", 100);
	
  	IsMozilla = true;
}
else if (document.layers)
{
   //window.captureEvents(Event.SCROLL);
   //window.onScroll = EventOnScroll;
}

function getScrollPosition(windowOrFrame)
{
	var ns4 = (document.layers)? true:false;
	if (ns4)
	{
 		return (windowOrFrame.pageYOffset);              // Netscape
	}
	else
	{
		return (windowOrFrame.document.body.scrollTop); // Internet Explorer
	}
}


	if (readCookie(CookieName)==null)
	{
		setTimeout("DisplayLayer()", 1000*1);
	}

	createCookie(CookieName,1,0);